
<!doctype html>
<html lang="en">
    <head>
        <meta http-equiv="Cache-Control" content="no-cache, must-revalidate" />
        <title>The jQuery Example</title>
        

   
    <!-- Bootstrap core CSS -->
    <link href="https://getbootstrap.com/docs/4.0/dist/css/bootstrap.min.css" rel="stylesheet">

    <script type = "text/javascript" 
         src = "https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js">
    </script>


    <script type = "text/javascript" language = "javascript">

        function updateSlider(slider)
        {
            window.slidervalue = slider;
            console.log(slider);
        }

        function sleep(ms) {
            return new Promise(resolve => setTimeout(resolve, ms));
        }

        async function QueryApi() {

            $.getJSON('/api.php', function(jd) {
                //$('#name').html('<p> Name: ' + jd.name + '</p>');
                //$('#load').html('<p> Name: ' + jd.load + '</p>');

                $('#name').html('Admin: ' + jd.name);
                $('#load').html('Load: ' + jd.load);
                $('#memory').html('Memory: ' + jd.memory + ' MB');
                $('#connections').html('Connections: ' + jd.connections);
                $('#ip').html('IP Adresse: ' + jd.ip);
                $('#tlsstatus').html('Verbindung: ' + jd.tlsstatus);
                $('#interval').html('Update Interval: ' + window.slidervalue + 's');

                $('#mysqlstatus').html('Connection: ' + jd.mysqlstatus);
                $('#envsva').html('ENV:<br> ' + jd.envsva);
                
                
                //console.log(jd.name);
            });

            await sleep(window.slidervalue * 1000);
            QueryApi();
            console.log(slidervalue);

        }

        window.slidervalue = 1;
        QueryApi();
        

          
    </script>
  </head>

  <body>



    <div class="pricing-header px-3 py-3 pt-md-5 pb-md-4 mx-auto text-center">
      <h1 class="display-4">AJAX DEMO</h1>
      <p class="lead">Wie man schnell und einfach Werte via AJAX Calls von einem Backend abfragt.</p>
    </div>

    <div class="container">
      <div class="card-deck mb-3 text-center">
        <div class="card mb-4 box-shadow">
          <div class="card-header">
            <h4 class="my-0 font-weight-normal">Einstellungen</h4>
          </div>
          <div class="card-body">
            Anfragen pro Sekunde <br>
            0,1s <input id="slide" type="range"
         min="0.1" max="1" step="0.1" value="1"
         onchange="updateSlider(this.value)" />
         1s
         

         <p id="interval">
            Update Interval
         </p>

         <div class="custom-control custom-switch">
            <input type="checkbox" class="custom-control-input">
            <label class="custom-control-label" for="customSwitches">Any statement</label>
            </div>
            
          </div>
        </div>
        <div class="card mb-4 box-shadow">
          <div class="card-header">
            <h4 class="my-0 font-weight-normal">System Informationen</h4>
          </div>
          <div class="card-body text-left">
            
            
            <ul class="list-unstyled mt-3 mb-4">
              <li id="name">Keine Werte verfügbar!</li>
              <li id="load">Keine Werte verfügbar!</li>
              <li id="memory">Keine Werte verfügbar!</li>
              <li id="connections">Keine Werte verfügbar!</li>
              <li id="ip">Keine Werte verfügbar!</li>
              <li id="tlsstatus">Keine Werte verfügbar!</li>
            </ul>

          </div>
        </div>
        <div class="card mb-4 box-shadow">
          <div class="card-header">
            <h4 class="my-0 font-weight-normal">MySQL Status</h4>
          </div>
          <div class="card-body  text-left">
            
            <ul class="list-unstyled mt-3 mb-4">
                <li id="mysqlstatus">Keine Werte verfügbar!</li>
                <li id="envsva">Keine Werte verfügbar!</li>
                
            </ul>
          </div>
        </div>
      </div>

     
    </div>
    
  </body>
</html>